# Generated from stringex_friendly_id-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stringex_friendly_id

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Stringex transliterations combined with FriendlyId slugging functionality
License: MIT
URL: https://github.com/lassebunk/stringex_friendly_id
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(activerecord) >= 3.0.0
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
StringexFriendlyId is a gem for using Stringex's ingenious unicode
transliterations with FriendlyId's slugging magic.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/stringex_friendly_id.gemspec
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.1-1
- Initial package
